Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230406 - MakeMaker has perl.mak depending on non-existent /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/config.h'
Summary: MakeMaker has perl.mak depending on non-existent /usr/lib/perl5/5.8.8/i386-li...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 19:14 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-27 14:06:03 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2007-02-28 19:14:57 UTC
Description of problem:
I tried to build git here, the build fails:

make[2]: Entering directory `/home/vonbrand/tmp/git/perl'
make[2]: *** No rule to make target
`/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/config.h', needed by
`perl.mak'.  Stop.

The generated perl.mak file (essentially a Makefile with funny name) contains
the following:

  PERL_INC = /usr/lib/perl5/5.8.8/sparc-linux-thread-multi/CORE
  ...
  CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h
  ...
  $(FIRST_MAKEFILE) : Makefile.PL $(CONFIGDEP)

I don't see how this could ever have worked, as the $(CONFIGDEP) file doesn't
exist. Strangely, the same git does build OK on Aurora Linux (essentially an
oldish Fedora Core), with the exact same Makefile, where the referenced file
doesn't exist either.

I'm blaming perl as it is the only piece I think might be involved that changed
today, and before updating today the build went fine.

Version-Release number of selected component (if applicable):
perl-5.8.8-13.fc7

How reproducible:
Don't know.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Robin Norwood 2007-02-28 20:59:03 UTC
Horst,

Do you have perl-devel installed?  And if not, does installing that fix it? 
This looks similar to the last few comments of bug #197841 - I suspect that
config.h got moved from perl to perl-devel with the new spec file for the perl
package review.  (that's bug #226276)

Comment 2 Horst H. von Brand 2007-03-01 13:00:55 UTC
No, perl-devel is not installed, installing it fixes this.

Perhaps MakeMaker (and other -devel stuff) should move over?

Comment 3 Tom "spot" Callaway 2007-03-01 13:12:46 UTC
We're still trying to get perl-devel sorted out. Suggestions of what should move
into perl-devel would be GREATLY appreciated. :)

Comment 4 Stepan Kasal 2007-07-27 14:06:03 UTC
In perl 5.8.8-16 from 2007-03-28, MakeMaker wasmoved to a a separate subpackage:
perl-ExtUtils-MakeMaker.
And that package requires perl-devel which contains the .../CORE/config.h.

I believe that this change has fixed the issue.


Note You need to log in before you can comment on or make changes to this bug.